CodeEditor number highlighter should support big letters "E" (scientific) & "F" (floats) & "+" symbol

02/25/2015 05:10 PM - Zbigniew Rebacz

Status: Approved Start date: 02/25/2015

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: CodeEditor Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Now we have problem with following number highlight:

int a = 10E+2; // <- "E" & "+" dosen't work

Moreover I have add code that control number of symbol, so number like "10Ee+2" will never be highlighted. Only "10E" will be

highlighted.

History

#1 - 02/28/2015 08:32 PM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Patch became to convoluted, code refactored, issue hopefully fixed.

#2 - 02/28/2015 08:58 PM - Zbigniew Rebacz

- File NumberHighlighFix2.diff added

- Status changed from Ready for QA to Patch ready

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

You forgotten about big "F".

#3 - 02/28/2015 11:12 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

Ops, thanks.

Files

NumberHighlighFix.diff 1.32 KB 02/25/2015 Zbigniew Rebacz

NumberHighlighFix2.diff 436 Bytes 02/28/2015 Zbigniew Rebacz
